# Schema for the configuration files of the User module.

entity_rest.api.*.*:
  type: config_object
  label: 'Entity Rest API settings'
  mapping:
    entity_api_name:
      type: string
      label: Entity API name
    field_api_names:
      type: sequence
      label: 'API name'
      sequence:
        type: string
        label: 'API name'
    methods:
      type: sequence
      label: 'API methods by permission'
      sequence:
        type: mapping
        label: 'API methods'
        mapping:
          get:
            type: sequence
            label: 'GET'
            sequence:
              type: string
              label: 'GET'
          post:
            type: sequence
            label: 'POST'
            sequence:
              type: string
              label: 'POST'
          patch:
            type: sequence
            label: 'PATCH'
            sequence:
              type: string
              label: 'PATCH'
          delete:
            type: sequence
            label: 'DELETE'
            sequence:
              type: string
              label: 'DELETE'
